For the complete documentation index, see llms.txt. This page is also available as Markdown.

Governance Overview

This contains APIs related to CACM Governance Overview Page

Return day wise total evaluations grouped by evaluation status.

post
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Bodyobject · CCMTimeFilter[]

Time

operatorstring · enumOptional

List of all possible Operators

Possible values:
timestampinteger · int64Optional
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/governance/overview/dayWiseTotalEvaluations
POST /gateway/ccm/api/governance/overview/dayWiseTotalEvaluations?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 37

[
  {
    "operator": "NOT_IN",
    "timestamp": 1
  }
]
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Return total number of new enforcement recommendations.

get
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/governance/overview/totalNewEnforcementRecommendations
GET /gateway/ccm/api/governance/overview/totalNewEnforcementRecommendations?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Return top cloud accounts by combined governance recommendation savings.

post
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Bodyobject · CCMTimeFilter[]

Time

operatorstring · enumOptional

List of all possible Operators

Possible values:
timestampinteger · int64Optional
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/governance/overview/topCloudAccountGovernanceSavings
POST /gateway/ccm/api/governance/overview/topCloudAccountGovernanceSavings?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 37

[
  {
    "operator": "NOT_IN",
    "timestamp": 1
  }
]
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Return total number of active enforcements.

get
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/governance/overview/totalActiveEnforcements
GET /gateway/ccm/api/governance/overview/totalActiveEnforcements?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Return total number of evaluations.

get
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/governance/overview/totalEvaluations
GET /gateway/ccm/api/governance/overview/totalEvaluations?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Return total realised Savings.

post
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Bodyobject · CCMTimeFilter[]

Time

operatorstring · enumOptional

List of all possible Operators

Possible values:
timestampinteger · int64Optional
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/governance/overview/totalRealisedSavingsV2
POST /gateway/ccm/api/governance/overview/totalRealisedSavingsV2?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 37

[
  {
    "operator": "NOT_IN",
    "timestamp": 1
  }
]
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Return total realised Savings grouped by cloud provider/resource type.

get
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/governance/overview/totalRealisedSavingsGrouped
GET /gateway/ccm/api/governance/overview/totalRealisedSavingsGrouped?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Return total realised savings time series, bucketed by day/week/month.

post
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Bodyobject · CCMTimeFilter[]

Time

operatorstring · enumOptional

List of all possible Operators

Possible values:
timestampinteger · int64Optional
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/governance/overview/totalRealisedSavingsTimeSeries
POST /gateway/ccm/api/governance/overview/totalRealisedSavingsTimeSeries?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 37

[
  {
    "operator": "NOT_IN",
    "timestamp": 1
  }
]
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?